curl PHP JavaScript Python Копіювати
curl -X POST 'https://foodsoul.ru/api/crm/v2/contractors.delete?chain_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: uk' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":1}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.ru/api/crm/v2/contractors.delete?chain_id=1' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'uk' ,
'role' => 'partner' ,
],
'json' => [
'id' => 1 ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/contractors.delete?chain_id=1" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uk" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"id" : 1
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.ru/api/crm/v2/contractors.delete?chain_id=1" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "uk" ,
"role" : "partner" ,
},
json ={
"id" : 1 ,
},
)
data = response . json () Відповідь 200
{
"status" : "success" ,
"data" : {}
} Запити надсилаються на foodsoul.ru — це хост цього порталу, інший обрати неможливо.